Bug 241272 - Update MASTER_SITES from http to https on 71 ports
Summary: Update MASTER_SITES from http to https on 71 ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2019-10-15 16:06 UTC by Chris Hutchinson
Modified: 2019-10-19 12:23 UTC (History)
2 users (show)

See Also:


Attachments
patches WWW and MASTER_SITES in 71 ports (48.49 KB, patch)
2019-10-15 16:06 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff
REPLACEMENT for original patch submitted to this pr (48.49 KB, patch)
2019-10-17 05:54 UTC, Chris Hutchinson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Hutchinson 2019-10-15 16:06:12 UTC
Created attachment 208338 [details]
patches WWW and MASTER_SITES in 71 ports

This is a megapatch for 71 ports I maintain, or am MASTER_SITES for.
REASON:
Our servers have all been https for well over a year, with a
310 redirect-permanent in place for that same period of time. We pulled
the plug ~6 mos ago on http. At that point the redirect was deemed a
waste of resources.
However, the FreeBSD ports system is binary thinking in many respects, and
makes no allowance for deciding that because there was no answer on http,
it must be in https. So the attached SVN DIFF reconciles that, by updating
all occurrences http to https.

That's it.
It seemed smarter in this instance to provide a megapatch, than to open
71 individual pr(1)'s. :)

Thanks!

--Chris
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-16 01:12:59 UTC
maintainer-feedback flag (set to +) only required if set to ? first, and not used to signify maintainer approval (see maintainer-approval attachment flag instead)
Comment 2 Kurt Jaeger freebsd_committer 2019-10-16 06:23:13 UTC
I guess changing WWW in pkg-descr does not count as changing
the package, while in fact it changes it. So I assume no need for a PORTREVISION bump.
Comment 3 Chris Hutchinson 2019-10-16 16:31:51 UTC
(In reply to Kurt Jaeger from comment #2)
@Kubilay, @Kurt.
Sorry. I'm afraid I didn't allow for enough time yesterday. So I was in a
bit of a rush.
I'll leave myself a larger window next time. So I don't waste your time,
or mine. :)

Thanks!

--Chris
Comment 4 Chris Hutchinson 2019-10-17 05:54:47 UTC
Created attachment 208375 [details]
REPLACEMENT for original patch submitted to this pr

UPDATE version 2. This time without revision bumps.

Sorry about the previous version. :(

--Chris
Comment 5 commit-hook freebsd_committer 2019-10-19 12:22:26 UTC
A commit references this bug:

Author: rakuco
Date: Sat Oct 19 12:21:45 UTC 2019
New revision: 514793
URL: https://svnweb.freebsd.org/changeset/ports/514793

Log:
  Switch MASTER_SITES and WWW to https in Chris' ports.

  PR:		241272
  Submitted by:	Chris Hutchinson <portmaster@bsdforge.com> (maintainer)

Changes:
  head/archivers/bzip/Makefile
  head/archivers/grzip/Makefile
  head/archivers/grzip/pkg-descr
  head/archivers/zipmix/Makefile
  head/audio/cd2mp3/Makefile
  head/audio/cd2mp3/pkg-descr
  head/audio/mp3stat/Makefile
  head/audio/mp3stat/pkg-descr
  head/audio/soundconverter/Makefile
  head/audio/streamtranscoder/Makefile
  head/audio/streamtranscoder/pkg-descr
  head/audio/xmradio/Makefile
  head/audio/xmradio/pkg-descr
  head/comms/comserv/Makefile
  head/comms/pr/Makefile
  head/comms/pr/pkg-descr
  head/comms/sms_client/Makefile
  head/comms/sms_client/files/Makefile.config
  head/databases/pg_reorg/Makefile
  head/databases/pg_reorg/pkg-descr
  head/databases/pgaccess/Makefile
  head/databases/pgaccess/pkg-descr
  head/databases/pgworksheet/pkg-descr
  head/deskutils/bigyear/Makefile
  head/devel/clig/Makefile
  head/devel/clig/pkg-descr
  head/devel/codeville/Makefile
  head/devel/compiz-bcop/Makefile
  head/devel/ecgi/Makefile
  head/devel/ecgi/pkg-descr
  head/devel/lua-gettext/Makefile
  head/devel/lua-pty/Makefile
  head/devel/safe-iop/Makefile
  head/devel/safe-iop/pkg-descr
  head/devel/tailor/Makefile
  head/devel/tailor/pkg-descr
  head/dns/dlint/Makefile
  head/dns/dlint/pkg-descr
  head/dns/dns_balance/Makefile
  head/dns/fastresolve/Makefile
  head/dns/firedns/Makefile
  head/dns/hesiod/Makefile
  head/dns/ldapdns/Makefile
  head/dns/sheerdns/Makefile
  head/dns/sheerdns/pkg-descr
  head/dns/totd/Makefile
  head/dns/totd/pkg-descr
  head/ftp/fmirror/Makefile
  head/graphics/delaboratory/Makefile
  head/graphics/gdtclft/Makefile
  head/graphics/repng2jpeg/Makefile
  head/graphics/repng2jpeg/pkg-descr
  head/graphics/urt/Makefile
  head/irc/ezbounce/Makefile
  head/irc/ircproxy/Makefile
  head/irc/quirc/Makefile
  head/irc/quirc/pkg-descr
  head/mail/bayespam/Makefile
  head/mail/bayespam/pkg-descr
  head/mail/mbox2imap/Makefile
  head/mail/mbox2imap/pkg-descr
  head/net/spread/Makefile
  head/net/wackamole/Makefile
  head/net/wackamole/pkg-descr
  head/net/widentd/Makefile
  head/net/widentd/pkg-descr
  head/net/xrdesktop2/Makefile
  head/net-im/mbpurple/Makefile
  head/net-im/mbpurple/pkg-descr
  head/net-mgmt/tcptrack/Makefile
  head/print/font2svg/Makefile
  head/print/font2svg/pkg-descr
  head/sysutils/cdroot/Makefile
  head/sysutils/cronolog-devel/Makefile
  head/sysutils/cronolog-devel/pkg-descr
  head/sysutils/ffs2recov/Makefile
  head/sysutils/fusefs-afuse/Makefile
  head/sysutils/fusefs-chironfs/Makefile
  head/sysutils/fusefs-cryptofs/Makefile
  head/sysutils/hwstat/Makefile
  head/sysutils/hwstat/pkg-descr
  head/sysutils/jailadmin/Makefile
  head/sysutils/jailadmin/pkg-descr
  head/sysutils/jailutils/Makefile
  head/sysutils/mdf2iso/pkg-descr
  head/sysutils/rsyncbackup/Makefile
  head/sysutils/rsyncbackup/files/pkg-message.in
  head/sysutils/rsyncbackup/pkg-descr
  head/sysutils/thefish/Makefile
  head/sysutils/thefish/pkg-descr
  head/textproc/asm2html/Makefile
  head/textproc/mgdiff/pkg-descr
  head/textproc/sansi/Makefile
  head/textproc/sansi/pkg-descr
  head/textproc/smi/Makefile
  head/textproc/smi/pkg-descr
  head/www/cgichk/Makefile
  head/www/spreadlogd/pkg-descr
  head/www/zerowait-httpd/Makefile
  head/x11/wmblob/Makefile
  head/x11/wmblob/pkg-descr
  head/x11/xvt/Makefile
  head/x11-fonts/sgifonts/Makefile
  head/x11-themes/gtk-nodoka-engine/Makefile
  head/x11-themes/kde-icons-nuovext2/Makefile
  head/x11-themes/kde-icons-nuovext2/pkg-descr
Comment 6 Raphael Kubo da Costa freebsd_committer 2019-10-19 12:23:08 UTC
Committed, thank you.